polybori::CGenericIter< OrderType, NaviType, RefType > Class Template Reference

`#include <BoolePolynomial.h>`

Inheritance diagram for polybori::CGenericIter< OrderType, NaviType, RefType >:

## Public Types

typedef pbori_base< CGenericIter >::type | base
typedef base::term_generator | term_generator

## Public Member Functions

template<class MgrType >
| CGenericIter (NaviType navi, const MgrType &mgr)

## Member Typedef Documentation

template<class OrderType , class NaviType , class RefType >

typedef pbori_base<CGenericIter>::type polybori::CGenericIter< OrderType, NaviType, RefType >::base

template<class OrderType , class NaviType , class RefType >

typedef base::term_generator polybori::CGenericIter< OrderType, NaviType, RefType >::term_generator

## Constructor & Destructor Documentation

template<class OrderType , class NaviType , class RefType >
template<class MgrType >

polybori::CGenericIter< OrderType, NaviType, RefType >::CGenericIter | ( | NaviType | navi,
|  | const MgrType & | mgr
| ) |  |

inline

The documentation for this class was generated from the following files:

- BoolePolynomial.h
- CGenericIter.h